Tizondocs
ReferenceWebhooks

List webhook endpoints

GET
/v1/webhook_endpoints

This account's endpoints in this mode. Secrets are never listed.

Authorization

ApiKey
AuthorizationBearer <token>

An account API key, sent as Authorization: Bearer tz_live_…. The prefix selects the mode: tz_test_ for sandbox, tz_live_ for real money.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhook_endpoints"
{  "object": "list",  "has_more": true,  "next_cursor": "string",  "data": [    {      "id": "string",      "object": "webhook_endpoint",      "url": "string",      "description": "string",      "enabled_events": [        "string"      ],      "status": "active",      "disabled_reason": "string",      "secret": "string",      "last_success_at": "2019-08-24T14:15:22Z",      "last_failure_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ]}